Get address state
Returns the lifecycle state of an account. Possible values: uninitialized (address has no deployed contract but can receive GRAM), active (contract is deployed and working), frozen (contract state frozen). Refer to the account lifecycle states documentation for details. Check this before interacting with a contract.
API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v2/getAddressState" \ -H "Content-Type: application/json" \ -d '{ "address": "string" }'{ "ok": true, "result": "uninitialized", "@extra": "string"}